#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="7.18.2"
SHA1SUM="0a4d6878d6be22bb2d701a6cf9bf665f66fc8b87"
URL="http://curl.haxx.se/download"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib openssl"
##################################################

download_bz2 curl &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/curl-${VERSION}.tar.bz2 &&
cd curl-${VERSION} &&

patch_src curl &&

sed -e 's/-O2/-Os/g' -i configure &&
CC="${CC} -Os" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-static --enable-shared --with-pic --disable-largefile --disable-nls --disable-verbose --with-random=/dev/urandom --enable-ipv6 --disable-manual --without-ca-bundle &&

make &&

make DESTDIR=${INSTALLDIR} install &&
mv -v ${INSTALLDIR}/bin/curl-config ${INSTALLDIR}/usr/bin &&
mv -v ${INSTALLDIR}/lib/libcurl.la ${INSTALLDIR}/usr/lib &&
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf curl-${VERSION}

