#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.20.3"
SHA1SUM="63ae6bdb6b410387477d339225cc4f61c2bc7322"
URL="http://www.graphviz.org/pub/graphviz/stable/SOURCES"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz graphviz &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/graphviz-${VERSION}.tar.gz &&
cd graphviz-${VERSION} &&

#patch removes the tool gvpr
patch_src graphviz &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig"  CC="${CC} -Os -fPIC -L${INSTALLDIR}/lib" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --without-x --without-tcl --without-wish --without-devil --without-rsvg --without-pangocairo --without-glitz --with-freetype2 --with-fontconfig --without-gdk-pixbuf --without-gtk --without-gtkgl --without-gtkglext --without-gts --without-glade --without-gnomeui --without-ming --with-libgd --without-mylibgd --with-expatlibdir=${INSTALLDIR}/lib -with-iconvlibdir=${INSTALLDIR}/lib --with-pnglibdir=${INSTALLDIR}/lib --with-jpeglibdir=${INSTALLDIR}/lib &&

make &&
make DESTDIR=${INSTALLDIR} install &&

touch ${INSTALLDIR}/lib/graphviz/config &&
chmod 777 ${INSTALLDIR}/lib/graphviz/config &&
#chown 23:23 ${INSTALLDIR}/lib/graphviz/config &&
cp -av ${INSTALLDIR}/lib/pkgconfig ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/pkgconfig &&

cd ${BUILDDIR} &&
rm -rf graphviz-${VERSION}
