#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

# Use 2.6.34+ for the ath5k wireless device builds
#VERSION="2.6.34.3"
#SHA1SUM="99a7d8f2adede02449d9b6eafc3c4cb6323490ac"
#VERSION="2.6.35.1"
#SHA1SUM="6f02f6b4dd21502d84ba6c7ce0d342fb72b8ca54"

# Use 2.6.26.8 for the latest ath0/hal wireless device builds
VERSION="2.6.26.8"
SHA1SUM="bb51d5030b007b92b803d62716b22c28e1282fe4"
URL="http://www.eu.kernel.org/pub/linux/kernel/v2.6"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_bz2 linux &&

cd ${BUILDDIR} &&
rm -rf linux* &&

env

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/linux-${VERSION}.tar.bz2 &&
mv linux-${VERSION} linux-${VERSION}-${BOARDNAME} &&
ln -s linux-${VERSION}-${BOARDNAME} linux &&
cd linux-${VERSION}-${BOARDNAME} &&

patch_src linux &&
echo Building for $BOARDARCH

make distclean &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- mrproper &&

rm -f .config* &&
cp ${BUILDCONFDIR}/config-linux .config &&
> ${BUILDDIR}/initramfs.cpio &&
rm -rf ${INSTALLDIR}/lib/modules -rf &&

make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- oldconfig &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- vmlinux &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- modules &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- INSTALL_MOD_PATH=${INSTALLDIR} modules_install &&

${INSTALLDIR}/cross-tools/bin/depmod.pl -F System.map -b ${INSTALLDIR}/lib/modules/${VERSION}-${BOARDNAME}

