#!/bin/bash -x

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions
. ${BUILDDIR}/buildscripts/hal-functions

LINUXVERSION=`grep VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`-${BOARDNAME}

VERSION="svn3314"
SHA1SUM="7b192c7c6975d1111b644af382a39f507eb55d3f"
URL="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain linux"

##################################################

download_gz madwifi &&

cd ${BUILDDIR} &&
rm -rf madwifi-* &&
tar -xzvf ${SRCDIR}/madwifi-${VERSION}.tar.gz &&
cd madwifi-${VERSION} &&

patch_src madwifi &&

##################################################
HAL_VERSION="20090508"
HAL_FILE="ath_hal-${HAL_VERSION}.tgz"
HAL_SHA1SUM="bfbf0798c16d3c5c7802b5795660d90110e63e7c"
HAL_DOWNLOAD="http://mirror2.openwrt.org/sources"
HAL_FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
##################################################

#
# FIX TARGET="ap51" -> TARGET="mips32-be-elf" below!
# else doesnt build
#

hal_download_tgz ath_hal &&

rm -rf hal/* &&
rm -rf tmp &&
mkdir -p tmp &&
tar xvzf ${SRCDIR}/${HAL_FILE} -C tmp &&
cp -r tmp/ath_hal*/* hal &&
rm -rf tmp &&

sed -e 's/-Werror//' -i Makefile.inc &&
sed -e 's/#define _FILE_OFFSET_BITS 64/#define _FILE_OFFSET_BITS 32/' -i tools/ath_info.c &&

# New for 2.6.33.2
sed -e 's_linux/utsrelease.h_generated/utsrelease.h_' -i kernelversion.c &&

#if [ "${BOARDNAME}" == "meraki" ] ; then
if ([ "${BOARDNAME}" == "meraki" ] || [ "${BOARDNAME}" == "om1p" ]) ; then
	sed -e 's,-E[LB] ,,g' -i hal/public/*.inc &&
	make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- KERNELPATH=${BUILDDIR}/linux-${LINUXVERSION} BUS="AHB" TARGET="mips32-be-elf" modules &&
	make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- KERNELPATH=${BUILDDIR}/linux-${LINUXVERSION} BUS="AHB" TARGET="mips32-be-elf" DESTDIR=${INSTALLDIR} install-modules
else
	make CC="${CC} -Wno-error" ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- KERNELPATH=${BUILDDIR}/linux-${LINUXVERSION} BUS="PCI" modules &&
	make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- KERNELPATH=${BUILDDIR}/linux-${LINUXVERSION} BUS="PCI" DESTDIR=${INSTALLDIR} install-modules
fi &&

${INSTALLDIR}/cross-tools/bin/depmod.pl -F ${BUILDDIR}/linux-${LINUXVERSION}/System.map -b ${INSTALLDIR}/lib/modules/${LINUXVERSION} &&

cd tools &&
sed -e 's/-g -O2 -Wall/-Os -Wall/' -i Makefile &&

make CC="${CC} -Os -fPIC" DO_MULTI=1 &&

install -v -m755 madwifi_multi ${INSTALLDIR}/sbin &&
for i in athstats 80211stats athkey athchans athctrl athdebug ath_info wlanconfig 80211debug; do
	ln -s -f -v madwifi_multi ${INSTALLDIR}/sbin/$i ; done &&

cd ${BUILDDIR}

# do not remove the source .. its needed for wpa_supplicant and hostapd

