#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="5.10.0"
SHA1SUM="adf73606dd5248af7ccdd735bcaa0e628ea75b3c"
URL="http://downloads.openwrt.org/sources/"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS=""
##################################################

download_gz perl &&

cd ${BUILDDIR} &&
tar -zxf ${SRCDIR}/perl-${VERSION}.tar.gz &&
cd perl-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

cc -c -o generate_uudmap.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  generate_uudmap.c
cc -o generate_uudmap  generate_uudmap.o -lm
#./{BUILDDIR}/perl-${VERSION}/generate_uudmap >uudmap.h
./generate_uudmap >uudmap.h
${CC} -c -o uav.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  av.c
${CC} -c -o udeb.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  deb.c
${CC} -c -o udoio.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  doio.c
${CC} -c -o udoop.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  doop.c
${CC} -c -o udump.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  dump.c
${CC} -c -o uglobals.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  globals.c
${CC} -c -o ugv.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  gv.c
${CC} -c -o uhv.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  hv.c
${CC} -c -o umro.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  mro.c
${CC} -c -o umg.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  mg.c
${CC} -c -o uperlmain.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  miniperlmain.c
${CC} -c -o uop.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  -DPERL_EXTERNAL_GLOB op.c
${CC} -c -o ureentr.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  reentr.c
${CC} -c -o upad.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  pad.c
${CC} -c -o uperl.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  perl.c
${CC} -c -o uperlio.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  perlio.c
${CC} -c -o uperly.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  perly.c
${CC} -c -o upp.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  pp.c
${CC} -c -o upp_ctl.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  pp_ctl.c
${CC} -c -o upp_hot.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  pp_hot.c
${CC} -c -o upp_sys.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  pp_sys.c
${CC} -c -o upp_pack.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  pp_pack.c
${CC} -c -o upp_sort.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  pp_sort.c
${CC} -c -o uregcomp.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  regcomp.c
${CC} -c -o uregexec.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  regexec.c
${CC} -c -o urun.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  run.c
${CC} -c -o uscope.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  scope.c
${CC} -c -o usv.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  sv.c
${CC} -c -o utaint.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  taint.c
${CC} -c -o utoke.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  toke.c
${CC} -c -o unumeric.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  numeric.c
${CC} -c -o ulocale.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  locale.c
${CC} -c -o umathoms.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  mathoms.c
${CC} -c -o uuniversal.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  universal.c
${CC} -c -o uutf8.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  utf8.c
${CC} -c -o uutil.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  util.c
${CC} -c -o uperlapi.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  perlapi.c
${CC} -c -o uxsutils.o -DPERL_CORE -DPERL_MICRO -DSTANDARD_C -DPERL_USE_SAFE_PUTENV  xsutils.c
${CC} -o microperl uav.o udeb.o udoio.o udoop.o udump.o uglobals.o ugv.o uhv.o umro.o umg.o uperlmain.o uop.o ureentr.o upad.o uperl.o uperlio.o uperly.o upp.o upp_ctl.o upp_hot.o upp_sys.o upp_pack.o upp_sort.o uregcomp.o uregexec.o urun.o uscope.o usv.o utaint.o utoke.o unumeric.o ulocale.o umathoms.o uuniversal.o uutf8.o uutil.o uperlapi.o uxsutils.o  -lm


install -m 755 microperl ${INSTALLDIR}/bin &&

cd ${BUILDDIR} &&
rm -rf perl-${VERSION}
