#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="5.2.6"
SHA1SUM="2a2b1afa657a7739a23784c869d57c3e0a7ad6b4"
URL="http://ch.php.net/distributions"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib openssl"
##################################################

download_bz2 php &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/php-${VERSION}.tar.bz2 &&
cd php-${VERSION} &&

patch_src php &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig"  CC="${CC} -Os -fPIC -L${INSTALLDIR}/lib" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-static --enable-shared --with-pic --enable-ipv6 --disable-all --enable-session --enable-spl --with-openssl --with-zlib=${INSTALLDIR}/usr --disable-safe-mode --with-pdo --with-pdo-sqlite --with-sqlite --enable-libxml --with-libxml-dir=${INSTALLDIR}/usr/include/libxml2 --enable-dom --with-pcre-regex --with-config-file-path=/etc &&

make &&

make INSTALL_ROOT=${INSTALLDIR} install &&
mkdir -pv ${INSTALLDIR}/usr/lib/php &&
if [ -d ${INSTALLDIR}/usr/lib/php/build ]
then
	rm -r ${INSTALLDIR}/usr/lib/php/build
fi
mv -v ${INSTALLDIR}/lib/build ${INSTALLDIR}/usr/lib/php &&
cd ${BUILDDIR} &&
rm -rf php-${VERSION}

