#!/bin/sh

DATE=`date "+%Y%m%d"`
NAME="link-stats"
HOSTNAME=`hostname`
DIR=/root/logs
FILE=${DIR}/${HOSTNAME}.${NAME}.${DATE}

DEVICES="ath0 ath1"

MACS="
00:0b:6b:db:e4:b0-->195.176.3.65
00:0b:6b:db:e5:02-->195.176.3.66
00:0b:6b:dc:70:d5-->195.176.3.67
00:0b:6b:dc:6f:c7-->195.176.3.68
00:0b:6b:db:e5:d2-->195.176.3.69
00:0b:6b:db:e0:da-->195.176.3.70
00:0b:6b:db:e4:fd-->195.176.3.71
00:0b:6b:dc:71:0c-->195.176.3.72
00:0b:6b:db:e4:d2-->195.176.3.73
00:0b:6b:db:e5:17-->195.176.3.74
00:0b:6b:db:e4:bd-->195.176.3.75
00:0b:6b:db:e5:1c-->195.176.3.76
"


replace_mac()
{
	mac=${1%-->*}
	ip=${1#*-->}
	command="s/${mac}/${ip}/g"
	output=`echo "${output}" | sed -e ${command}`
}

replace_macs()
{
	output=`wlanconfig ${dev} list`
	for mac in ${MACS} ; do
		replace_mac ${mac}
	done
	output=`echo "${output}" | sed -e "s/\n/	/g"`
}

write_file() {
	TIME=`date "+%Y%m%d-%H%M%S"`
	print_out="${TIME}"
	for dev in ${DEVICES} ; do
		
		output=`wlanconfig ${dev} list`
		for mac in ${MACS} ; do
			replace_mac ${mac}
		done
		
		output=`echo "${output}" | awk 'NR > 1 {print "\t" $1 "\t" $3 "\t" $4 "\t" $5 "\t" $6}'`
		print_out=`echo "${dev}	${print_out}	${output}"`
	done
	printf "${print_out}\n" >> ${FILE}
}

if [ ! -d ${DIR} ] ; then
	mkdir /root/logs
fi

if [ -f ${FILE} ] ; then
	write_file
else
	printf "Neighbor link stats log for ${HOSTNAME}\n" > ${FILE}
	printf "Date \t \t {Local interface \t Remote IP \t CHAN \t RATE \t RSSI \t DBM}*\n" >> ${FILE}
	write_file
fi